version: '3.9'
services:
  db_todo:
    image: mysql:8.3.0
    container_name: todo-db
    env_file:
      - .env
    ports:
      - "3306:3306"
    volumes: 
      - db-todo:/var/lib/mysql
    healthcheck:
      test: ["CMD", "mysqladmin", "ping", "-h", "localhost"]
      interval: 10s
      timeout: 5s
      retries: 5

  app_todo:
    build: .
    container_name: todo-app
    env_file:
      - .env
    depends_on:
      db_todo:
        condition: service_healthy
    ports:
      - "3000:3000"
    restart: always

volumes:
  db-todo:
